import request from '@/utils/request'

// 查询企业信息列表
export function listCar(query) {
  return request({
    url: '/netWorking/car/list',
    method: 'get',
    params: query
  })
}

// 查询企业信息详细
export function getCar(id) {
  return request({
    url: '/netWorking/car/' + id,
    method: 'get'
  })
}

// 新增企业信息
export function addCar(data) {
  return request({
    url: '/netWorking/car',
    method: 'post',
    data: data
  })
}

// 修改企业信息
export function updateCar(data) {
  return request({
    url: '/netWorking/car/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除企业信息
export function delCar(id) {
  return request({
    url: '/netWorking/car/' + id,
    method: 'delete'
  })
}
